### A free/open-source library for quantitative finance

Public Member Functions
SMMDriftCalculator Class Reference

Drift computation for coterminal swap market models. More...

`#include <ql/models/marketmodels/driftcomputation/smmdriftcalculator.hpp>`

List of all members.

## Public Member Functions

| SMMDriftCalculator (const Matrix &pseudo, const std::vector< Spread > &displacements, const std::vector< Time > &taus, Size numeraire, Size alive)
void | compute (const CoterminalSwapCurveState &cs, std::vector< Real > &drifts) const
| Computes the drifts.

## Detailed Description

Drift computation for coterminal swap market models.

Returns the drift . See Mark Joshi, Lorenzo Liesch, Effective Implementation Of Generic Market Models.